GET /channel
Operation ID: listChannels
Auth: unknown
Description
If you are interested in a list of channels that have had there schedule updated you can filter by the following query params. - scheduleStart - scheduleEnd - scheduleUpdatedSince adding these query params will filter the channel collection to only return channels that have been updated within the given range, updatedSince stores the state of your previous call. Example Usage: Every 10 minutes get me the channels that have updated schedules for the next 2 weeks. /channel?platform={uuid}&scheduleStart={today}&scheduleEnd={today + 2 weeks}&updatedSince={10 minutes ago} Also please note epg numbers are only exposed when a platform and region are passed to the query.
Parameters (7)
(boolean, query, optional, default: True)
Flag to display Legacy and Provider Ids.
(string, query, optional, default: 2018-09-15)
Date of the Channel State to select, this will display channel names and attributes in the future or past.
Constraints: {'pattern': 'date'}
(string, query, optional, default: d3b26caa-8c7d-5f97-9eff-40fcf1a6f8d3)
The identifier for the selected platform. Multiple platforms can be passed to the API without a region Id. Passing multiple platforms without a region will not return epg numbers as these are linked to a platform and region.
(string, query, optional, default: afa4f624-da9b-54ce-b514-570345dbbdce)
The platform region ID for the channel selection.
(string, query, optional, default: 2015-05-06 00:00:00)
The End Date for the schedule.
Constraints: {'pattern': 'date-time'}
(string, query, optional, default: 2015-05-05 00:00:00)
The Start Date for the schedule.
Constraints: {'pattern': 'date-time'}
(string, query, optional, default: 2015-05-05 00:00:00)
Schedule Updated Since
Constraints: {'pattern': 'date-time'}
No probe data for this endpoint yet.